CVE-2016-6494

Impact:
Low
Public Date:
2016-08-01
CWE:
CWE-732
Bugzilla:
1362553: CVE-2016-6494 mongodb: world-readable .dbshell history file

The MITRE CVE dictionary describes this issue as:

The client in MongoDB uses world-readable permissions on .dbshell history files, which might allow local users to obtain sensitive information by reading these files.

Find out more about CVE-2016-6494 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v2 metrics

NOTE: The following CVSS v2 metrics and score provided are preliminary and subject to review.

Base Score 2.1
Base Metrics AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None

CVSS v3 metrics

NOTE: The following CVSS v3 metrics and score provided are preliminary and subject to review.

CVSS3 Base Score 4
CVSS3 Base Metrics CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Attack Vector Local
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Low
Integrity Impact None
Availability Impact None

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Affected Packages State

Platform Package State
Red Hat Subscription Asset Manager 1 mongodb Will not fix
Red Hat Software Collections for Red Hat Enterprise Linux rh-mongodb26-mongodb Will not fix
Red Hat Software Collections for Red Hat Enterprise Linux rh-mongodb30upg-mongodb Will not fix
Red Hat Software Collections for Red Hat Enterprise Linux mongodb24-mongodb Will not fix
Red Hat Software Collections for Red Hat Enterprise Linux rh-mongodb32-mongodb Will not fix
Red Hat Satellite 6 mongodb Will not fix
Red Hat OpenStack Platform 8.0 (Liberty) mongodb Will not fix
Red Hat OpenShift Enterprise 2 mongodb Will not fix
Red Hat Enterprise MRG 2 mongodb Will not fix
Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7 mongodb Will not fix
Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7 mongodb Will not fix
Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) mongodb Will not fix
Last Modified

CVE description copyright © 2017, The MITRE Corporation